# $Revision: 1.8 $, $Date: 2005/12/24 14:02:58 $
#
%define		module	elementtree
%define		_snap	20050316
#
Summary:	A fast and pythonic XML parser
Summary(pl):	Szybki pythonowy parser XML
Name:		python-%{module}
Version:	1.2.6
Release:	0.%{_snap}.2
License:	BSD
Group:		Development/Languages/Python
Source0:	http://effbot.org/downloads/%{module}-%{version}-%{_snap}.zip
# Source0-md5:	6751a9005efbd2c543ef32905d4a0acd
URL:		http://effbot.org/zone/element-index.htm
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	unzip
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Element type is a simple but flexible container object, designed
to store hierarchical data structures, such as simplified XML
infosets, in memory. The element type can be described as a cross
between a Python list and a Python dictionary.

%description -l pl
Typ Element to szybki, ale elastyczny obiekt kontenerowy,
zaprojektowany do przechowywania w pamici hierarchicznych struktur
danych, takich jak uproszczone zbiory informacji XML. Typ ten moe by
opisany jako skrzyowanie pythonowej listy (list) z pythonowym
sownikiem (dictionary).

%prep
%setup -q -n %{module}-%{version}-%{_snap}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/ElementTree-%{version}-py%{py_ver}.egg-info

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

echo 'Metadata-Version: 1.0
Name: ElementTree
Version: %{version}
Summary: %{summary}
Home-page: %{url}
License: %{license}' > $RPM_BUILD_ROOT%{py_sitescriptdir}/ElementTree-%{version}-py%{py_ver}.egg-info/PKG-INFO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README docs/
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/ElementTree*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-elementtree.spec,v $
Revision 1.8  2005/12/24 14:02:58  arekm
- rebuild

Revision 1.7  2005/12/20 20:00:49  arekm
- workaround for egg software

Revision 1.6  2005/11/10 18:33:50  paszczus
- added BR: unzip

Revision 1.5  2005/10/22 22:07:42  qboosh
- pl

Revision 1.4  2005/10/22 22:01:10  glen
- copy description from fedora
- %{date} is an macro provided by rpm
- use %py_postclean

Revision 1.3  2005/05/14 12:59:07  charles
- updated to 1.2.6

Revision 1.2  2005/02/20 19:31:53  qboosh
- pl

Revision 1.1  2005/02/20 01:23:08  jpc
- new spec
